/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PROSPECT                                                 */
/* Tabela : PROSPECT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PROSPECT
BEFORE INSERT OR UPDATE OR DELETE
ON PROSPECT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPROS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPIJURPROS,0) <> NVL(:NEW.IDTPIJURPROS,0)) OR
         (NVL(:OLD.NRINSJURPROS,0) <> NVL(:NEW.NRINSJURPROS,0)) OR
         (NVL(:OLD.NMFANTPROS,0)   <> NVL(:NEW.NMFANTPROS,0))   OR
         (NVL(:OLD.CDPROSPECT,0)   <> NVL(:NEW.CDPROSPECT,0))   OR
         (NVL(:OLD.CDSEGMER,0)     <> NVL(:NEW.CDSEGMER,0)) THEN
         :NEW.DTULTATUPROS := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PROSPECT', '', 'CDPROSPECT='||:OLD.CDPROSPECT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PROSPECT MODIFY DTULTATUPROS DEFAULT SYSDATE
/
